summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/komparator4/README6
-rw-r--r--system/komparator4/komparator4.SlackBuild80
-rw-r--r--system/komparator4/komparator4.info10
-rw-r--r--system/komparator4/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/system/komparator4/README b/system/komparator4/README
new file mode 100644
index 0000000000..c2dfb67457
--- /dev/null
+++ b/system/komparator4/README
@@ -0,0 +1,6 @@
+Komparator4 is a KDE4 port of Komparator.
+
+Komparator is an application that searches and synchronizes two
+directories. It discovers duplicate, newer or missing files and
+empty folders. It works on local and network / kioslave protocol
+folders (like smb:/, ftp://, media:/).
diff --git a/system/komparator4/komparator4.SlackBuild b/system/komparator4/komparator4.SlackBuild
new file mode 100644
index 0000000000..3ff37bd624
--- /dev/null
+++ b/system/komparator4/komparator4.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for komparator4
+# Written by Michael Filz <the_emmel@gmx.net>
+
+PRGNAM=komparator4
+VERSION=${VERSION:-0.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCPREFIX=116039
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRCPREFIX-$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING INSTALL TODO README ChangeLog \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/komparator4/komparator4.info b/system/komparator4/komparator4.info
new file mode 100644
index 0000000000..5505a5819f
--- /dev/null
+++ b/system/komparator4/komparator4.info
@@ -0,0 +1,10 @@
+PRGNAM="komparator4"
+VERSION="0.7"
+HOMEPAGE="http://kde-apps.org/content/show.php?content=116039"
+DOWNLOAD="http://kde-apps.org/CONTENT/content-files/116039-komparator4-0.7.tar.bz2"
+MD5SUM="6ba00804792c9fddd8db0c0e60ad55fc"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Michael Filz"
+EMAIL="the_emmel@gmx.net"
+APPROVED="dsomero"
diff --git a/system/komparator4/slack-desc b/system/komparator4/slack-desc
new file mode 100644
index 0000000000..fc662918a2
--- /dev/null
+++ b/system/komparator4/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+komparator4: komparator4 (compare directories in GUI)
+komparator4:
+komparator4: Komparator is an application that searches and synchronizes two
+komparator4: directories. It discovers duplicate, newer or missing files and empty
+komparator4: folders.
+komparator4: It works on local and network / kioslave protocol folders (like smb:/,
+komparator4: ftp://, media:/).
+komparator4:
+komparator4: It can be found on its project page at
+komparator4: http://kde-apps.org/content/show.php?content=116039
+komparator4: